List all database branches
get
/v1/projects/{ref}/branchesReturns all database branches of the specified project.
OAuth scopes
- environment:read
The fine-grained token must include the following permissions to access this endpoint:
- branching_development_read
- or
- branching_production_read
Path parameters
- refRequiredstring
Project ref
Response codes
- 200
- 500
Response (200)
1[2 {3 "id": "00000000-0000-0000-0000-000000000000",4 "name": "lorem",5 "project_ref": "lorem",6 "parent_project_ref": "lorem",7 "is_default": true,8 "git_branch": "lorem",9 "pr_number": -9007199254740991,10 "latest_check_run_id": 42,11 "persistent": true,12 "status": "CREATING_PROJECT",13 "created_at": "4404-02-29T04:24Z",14 "updated_at": "4404-02-29T04:24Z",15 "review_requested_at": "4404-02-29T04:24Z",16 "with_data": true,17 "notify_url": "https://github.com/NeuraLegion/brokencrystals",18 "deletion_scheduled_at": "4404-02-29T04:24Z",19 "preview_project_status": "INACTIVE"20 }21]